###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################


# required stuff

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )

 
##### check for glib-2.0 - gthread-2.0

pkg_search_module( GTHREAD gthread-2.0 )
if( NOT GTHREAD_FOUND )
  tde_message_fatal( "glib-2.0 with thread support is required, but was not found on your system" )
endif()


##### check for curl

set( CURL_MIN_VERSION "7.15.5" )
find_package( CURL ${CURL_MIN_VERSION} REQUIRED )
if( NOT CURL_FOUND )
  tde_message_fatal( "curl >= 7.15.5 is required, but was not found on your system" )
endif()
